Exemple #1
0
        public void ResumeRunning()
        {
            // Set the current 2d context into the local service
            WorkItem.Services.Get <IContextService>().Current2DContext = context2d;

            // Show the 2D View
            WorkItem.Workspaces[Naro.Sketcher.Constants.WorkspaceNames.DrawingAreaWorkspace].Show(attachedView);
            view2d.Update();
            view2d.HasBeenMoved();
            view2d.MustBeResized(OCV2d_TypeOfWindowResizingEffect.V2d_TOWRE_ENLARGE_SPACE);

            // Clear the drawing area
            context2d.EraseAll(true, true);

            // Reactivate the grid
            viewer2d.ActivateGrid(OCAspect_GridType.Aspect_GT_Rectangular, OCAspect_GridDrawMode.Aspect_GDM_Lines);

            // Build the projection of the 3D to 2D
            Project3DModel();

            // Reset the working plane input
            OCTopoDS_Shape topoShape = WorkItem.Services.Get <ILocalContextService>().CurrentSelectedShape;

            workingPlaneInput.AddWorkingPlane(GeomUtils.ExtractAxis(topoShape));
        }